---
lang: en
title: 'API docs: rest.parseparamsprovider.value'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.parseparamsprovider.value.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ParseParamsProvider](./rest.parseparamsprovider.md) &gt; [value](./rest.parseparamsprovider.value.md)

## ParseParamsProvider.value() method

**Signature:**

```typescript
static value(requestBodyParser: RequestBodyParser, validationOptions: ValidationOptions | undefined, ajvFactory: AjvFactory): ParseParams;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

requestBodyParser


</td><td>

[RequestBodyParser](./rest.requestbodyparser.md)


</td><td>


</td></tr>
<tr><td>

validationOptions


</td><td>

[ValidationOptions](./rest.validationoptions.md) \| undefined


</td><td>


</td></tr>
<tr><td>

ajvFactory


</td><td>

[AjvFactory](./rest.ajvfactory.md)


</td><td>


</td></tr>
</tbody></table>

**Returns:**

[ParseParams](./rest.parseparams.md)


